From 5e9b9f246802f492e7740ab2589aa8c81df5ef20 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Mon, 2 Mar 2020 15:05:25 +0000
Subject: [PATCH] bcm2711-rpi.dtsi: Use upstream pcie node

Now that the upstream bcm2711 DT has a pcie DT node there's no need to
define one downstream.

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 arch/arm/boot/dts/bcm2711-rpi-4-b.dts |  2 +-
 arch/arm/boot/dts/bcm2711-rpi.dtsi    | 41 ---------------------------
 2 files changed, 1 insertion(+), 42 deletions(-)

--- a/arch/arm/boot/dts/bcm2711-rpi-4-b.dts
+++ b/arch/arm/boot/dts/bcm2711-rpi-4-b.dts
@@ -163,7 +163,7 @@
 		i2c6 = &i2c6;
 		/delete-property/ ethernet;
 		/delete-property/ intc;
-		pcie0 = &pcie_0;
+		pcie0 = &pcie0;
 	};
 
 	/delete-node/ wifi-pwrseq;
--- a/arch/arm/boot/dts/bcm2711-rpi.dtsi
+++ b/arch/arm/boot/dts/bcm2711-rpi.dtsi
@@ -66,47 +66,6 @@
 		 <0x0 0x00000000  0x0 0x00000000  0xfc000000>;
 	dma-ranges = <0x0 0x00000000  0x0 0x00000000  0xfc000000>;
 
-	pcie_0: pcie@7d500000 {
-		reg = <0x0 0x7d500000 0x9310>,
-		      <0x0 0x7e00f300 0x20>;
-		msi-controller;
-		msi-parent = <&pcie_0>;
-		#address-cells = <3>;
-		#interrupt-cells = <1>;
-		#size-cells = <2>;
-		bus-range = <0x0 0x01>;
-		compatible = "brcm,bcm2711b0-pcie", // Safe value
-			     "brcm,bcm2711-pcie",
-			     "brcm,pci-plat-dev";
-		max-link-speed = <2>;
-		tot-num-pcie = <1>;
-		linux,pci-domain = <0>;
-		interrupts = <GIC_SPI 148 IRQ_TYPE_LEVEL_HIGH>,
-			     <GIC_SPI 148 IRQ_TYPE_LEVEL_HIGH>;
-		interrupt-names = "pcie", "msi";
-		interrupt-map-mask = <0x0 0x0 0x0 0x7>;
-		interrupt-map = <0 0 0 1 &gicv2 GIC_SPI 143
-					IRQ_TYPE_LEVEL_HIGH
-				 0 0 0 2 &gicv2 GIC_SPI 144
-					IRQ_TYPE_LEVEL_HIGH
-				 0 0 0 3 &gicv2 GIC_SPI 145
-					IRQ_TYPE_LEVEL_HIGH
-				 0 0 0 4 &gicv2 GIC_SPI 146
-					IRQ_TYPE_LEVEL_HIGH>;
-
-		/* Map outbound accesses from scb:0x6_00000000-03ffffff
-		 * to pci:0x0_f8000000-fbffffff
-		 */
-		ranges = <0x02000000 0x0 0xf8000000  0x6 0x00000000
-			  0x0 0x04000000>;
-		/* Map inbound accesses from pci:0x0_00000000..ffffffff
-		 * to scb:0x0_00000000-ffffffff
-		 */
-		dma-ranges = <0x02000000 0x0 0x00000000  0x0 0x00000000
-			      0x1 0x00000000>;
-		status = "okay";
-	};
-
 	dma40: dma@7e007b00 {
 		compatible = "brcm,bcm2711-dma";
 		reg = <0x0 0x7e007b00 0x400>;
